<form [formGroup]="nouveauJeuFormulaire" (ngSubmit)="soumettre()" #form="ngForm">
  <div class="mb-3">
    <label for="nom" class="form-label">Nom</label>
    <input id="nom" type="text" class="form-control" formControlName="nom"
      [class.is-invalid]="nom?.invalid && form.submitted">
    <div class="invalid-feedback">
      <div *ngIf="nom?.errors?.['required']">
        Le nom du jeu est requis
      </div>
      <div *ngIf="nom?.errors?.['jeuExclu']">
        Désolé, c'est un des pire jeux de l'histoire!
      </div>
    </div>
  </div>
  <div class="mb-3">
    <label for="description" class="form-label">Description</label>
    <textarea id="description" class="form-control" formControlName="description"
              [class.is-invalid]="description?.invalid && form.submitted"></textarea>
    <div class="invalid-feedback">
      <div *ngIf="description?.errors?.['required']">
        Le description du jeu est requis
      </div>
      <div *ngIf="description?.errors?.['minlength']">
        La description doit contenir au moins 50 caractères
      </div>
    </div>
  </div>

  <button type="submit" class="btn btn-primary">Soumettre</button>
</form>
